Bug 1305334 - Review Request: R-inline - Functions to Inline C, C++, Fortran Function Calls from R
Review Request: R-inline - Functions to Inline C, C++, Fortran Function Calls...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1305335
  Show dependency treegraph
 
Reported: 2016-02-07 04:51 EST by Mattias Ellert
Modified: 2016-03-14 15:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-12 14:58:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nonamedotc: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2016-02-07 04:51:13 EST
Spec URL: http://www.grid.tsl.uu.se/review/R-inline.spec
SRPM URL: http://www.grid.tsl.uu.se/review/R-inline-0.3.14-1.fc24.src.rpm

Description:
Functionality to dynamically define R functions and S4 methods with
inlined C, C++ or Fortran code supporting .C and .Call calling
conventions.

Fedora Account System Username: ellert
Comment 1 Mukundan Ragavan 2016-02-10 18:24:01 EST
I have a couple of questions. Please see below.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

---> This needs to be checked.

- Package have the default element marked as %%doc :DESCRIPTION

---> I don't see where this is. DESCRIPTION is *NOT* marked as %doc in the spec file ...

- Package contains the mandatory BuildRequires.
  Note: Missing BuildRequires on R-devel, tex(latex)
  See: http://fedoraproject.org/wiki/Packaging:R

---> I think it might make more sense to use BR:R-devel instead of R-core-devel .. Any specific reason for using R-devel?

- The package has the standard %install section.
  Note: Package doesn't have the standard removal of *.o and *.so.
  See: http://fedoraproject.org/wiki/Packaging:R

---> Can you add this section to the spec? Or, has it been intentionally left out?


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.

---> Not included in upstream tarball. Not in package.

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 4 files have unknown license. Detailed
     output of licensecheck in
     /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305334-R-inline/licensecheck.txt

---> No issues.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

R:
[x]: Package requires R-core.

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     ftp://cran.r-project.org/pub/R/contrib/main/inline_0.3.14.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags

---> This is a local issue. I have downloaded the tarball subsequently.

$ wget ftp://cran.r-project.org/pub/R/contrib/main/inline_0.3.14.tar.gz
--2016-02-10 23:12:40--  ftp://cran.r-project.org/pub/R/contrib/main/inline_0.3.14.tar.gz
           => ‘inline_0.3.14.tar.gz’
Resolving cran.r-project.org (cran.r-project.org)... 137.208.57.37
Connecting to cran.r-project.org (cran.r-project.org)|137.208.57.37|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD (1) /pub/R/contrib/main ... done.
==> SIZE inline_0.3.14.tar.gz ... 18002
==> PASV ... done.    ==> RETR inline_0.3.14.tar.gz ... done.
Length: 18002 (18K) (unauthoritative)

100%[===================================================================================================================================================>] 18,002      --.-K/s   in 0.1s    

2016-02-10 23:12:42 (157 KB/s) - ‘inline_0.3.14.tar.gz’ saved [18002]


[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments

---> This is fine.

[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.

---> noarch

[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

R:
[x]: The %check macro is present
[x]: Latest version is packaged.
     Note: Latest upstream version is 0.3.14, packaged version is 0.3.14

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305334-R-inline/results/R-inline-0.3.14-1.fc23.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-23-x86_64/root/ --releasever 23 --setopt=deltarpm=false install /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1305334-R-inline/results/R-inline-0.3.14-1.fc23.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: R-inline-0.3.14-1.fc23.noarch.rpm
          R-inline-0.3.14-1.fc23.src.rpm
R-inline.noarch: W: spelling-error %description -l en_US inlined -> unlined, inline, inclined
R-inline.src: W: spelling-error %description -l en_US inlined -> unlined, inline, inclined
R-inline.src: W: invalid-url Source0: ftp://cran.r-project.org/pub/R/contrib/main/inline_0.3.14.tar.gz <urlopen error ftp error: timeout('timed out',)>
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Requires
--------
R-inline (rpmlib, GLIBC filtered):
    R-core



Provides
--------
R-inline:
    R-inline



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-23-x86_64 -b 1305334
Buildroot used: fedora-23-x86_64
Active plugins: Generic, R, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Mattias Ellert 2016-02-11 04:08:26 EST
(In reply to Mukundan Ragavan from comment #1)
> I have a couple of questions. Please see below.

Many thanks for reviewing. I will try to answer your questions.

> Issues:
> =======
> - Package installs properly.
>   Note: Installation errors (see attachment)
>   See: https://fedoraproject.org/wiki/Packaging:Guidelines
> 
> ---> This needs to be checked.

For me this package installs correctly when running the installation test in fedora-review. The review.txt file contains the line:

[x]: Package installs properly.

So I am not sure why you got an error.

This is a noarch package, so it should work. For non-noarch packages there is a known bug in fedora-review that causes the installation test to fail:

https://bugzilla.redhat.com/show_bug.cgi?id=1264803

It has been fixed upstream, but the fix has not been released in a package update yet. This affects the other 3 packages, but for me the installation test works for this one.

> - Package have the default element marked as %%doc :DESCRIPTION
> 
> ---> I don't see where this is. DESCRIPTION is *NOT* marked as %doc in the
> spec file ...

DESCRIPTION should not be %doc, see e.g. the templates in
https://fedoraproject.org/wiki/Packaging:R

This is fedora-review complaining about something it shouldn't. I think this is fedora-review not keeping up with changes to the guidelines. In the old guidelines (I don't remember when the change happened - but it was quite a long time ago now) the DESCRIPTION file was marked as %doc.

> - Package contains the mandatory BuildRequires.
>   Note: Missing BuildRequires on R-devel, tex(latex)
>   See: http://fedoraproject.org/wiki/Packaging:R
> 
> ---> I think it might make more sense to use BR:R-devel instead of
> R-core-devel .. Any specific reason for using R-devel?

R-devel is an empty package, which requires R-core-devel and R-java-devel.
There is no java needed for building this package. The only thing you "gain" from using R-devel is to have a lot of java packages installed in the build root for no benefit and making the build time in koji longer.

> - The package has the standard %install section.
>   Note: Package doesn't have the standard removal of *.o and *.so.
>   See: http://fedoraproject.org/wiki/Packaging:R
> 
> ---> Can you add this section to the spec? Or, has it been intentionally
> left out?

This is a "BuildArch: noarch" package. So there is no compilation done during the build. This means that there are no .o or .so files created that should be removed. So the "standard removal" would do nothing.

You can also see in the build.log the line

* checking if this is a source package ... OK

If there were files present that should have been removed, this line would not say "OK" but "NOTE" and then list all the offending files.

> ===== SHOULD items =====
> Generic:
> [!]: Rpmlint is run on all installed packages.
>      Note: Mock build failed
>      See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

This is a consequence of the installation failing. Since the package could not be installed in the mock buildroot, rpmlint could not run on the installed packages.
You do have the rpmlint results from running on the package files though:

[x]: Rpmlint is run on all rpms the build produces.
Comment 3 Mattias Ellert 2016-02-11 04:21:02 EST
(In reply to Mattias Ellert from comment #2)
> 
> For me this package installs correctly when running the installation test in
> fedora-review. The review.txt file contains the line:
> 
> [x]: Package installs properly.
> 
> So I am not sure why you got an error.

Check the results/root.log file in your review directory. What follows after the line:

INFO backend.py:133:  installing package(s): <review-dir>/results/R-inline-0.3.14-1.fc24.noarch.rpm
Comment 4 José Matos 2016-02-11 10:53:46 EST
(In reply to Mukundan Ragavan from comment #1)
> 
> - Package have the default element marked as %%doc :DESCRIPTION
> 
> ---> I don't see where this is. DESCRIPTION is *NOT* marked as %doc in the
> spec file ...

As Mattias said DESCRIPTION should not be marked as documentation because it possible to install a package without documentation (passing --excludedocs while installing with rpm) while that file is required for the R package to be properly installed.

That was the rationale for excluding the DESCRIPTION file from %doc.
Comment 5 Mukundan Ragavan 2016-02-11 18:28:04 EST
(In reply to José Matos from comment #4)
> (In reply to Mukundan Ragavan from comment #1)
> > 
> > - Package have the default element marked as %%doc :DESCRIPTION
> > 
> > ---> I don't see where this is. DESCRIPTION is *NOT* marked as %doc in the
> > spec file ...
> 
> As Mattias said DESCRIPTION should not be marked as documentation because it
> possible to install a package without documentation (passing --excludedocs
> while installing with rpm) while that file is required for the R package to
> be properly installed.
> 
> That was the rationale for excluding the DESCRIPTION file from %doc.

I did *not* want it to be labeled as %doc. 

What I meant to say was "fedora-review warning was bogus". It was clear to me when I wrote that comment. But, as I read it now, I realize how it sounds! :(
Comment 6 Mukundan Ragavan 2016-02-11 18:53:19 EST
(In reply to Mattias Ellert from comment #2)
> (In reply to Mukundan Ragavan from comment #1)
> > I have a couple of questions. Please see below.
> 
> Many thanks for reviewing. I will try to answer your questions.
> 
> > Issues:
> > =======
> > - Package installs properly.
> >   Note: Installation errors (see attachment)
> >   See: https://fedoraproject.org/wiki/Packaging:Guidelines
> > 
> > ---> This needs to be checked.
> 
> For me this package installs correctly when running the installation test in
> fedora-review. The review.txt file contains the line:
> 
> [x]: Package installs properly.
> 
> So I am not sure why you got an error.
> 
> This is a noarch package, so it should work. For non-noarch packages there
> is a known bug in fedora-review that causes the installation test to fail:
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=1264803
> 
> It has been fixed upstream, but the fix has not been released in a package
> update yet. This affects the other 3 packages, but for me the installation
> test works for this one.
> 


I have since managed to install it. No issues here.

$ rpm -qa R-*
R-inline-0.3.14-1.fc23.noarch
R-highlight-0.4.7-1.fc24.x86_64
R-core-3.2.3-2.fc23.x86_64

$ rpmlint R-inline
R-inline.noarch: W: spelling-error %description -l en_US inlined -> unlined, inline, inclined
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



> > - Package have the default element marked as %%doc :DESCRIPTION
> > 
> > ---> I don't see where this is. DESCRIPTION is *NOT* marked as %doc in the
> > spec file ...
> 
> DESCRIPTION should not be %doc, see e.g. the templates in
> https://fedoraproject.org/wiki/Packaging:R
> 
> This is fedora-review complaining about something it shouldn't. I think this
> is fedora-review not keeping up with changes to the guidelines. In the old
> guidelines (I don't remember when the change happened - but it was quite a
> long time ago now) the DESCRIPTION file was marked as %doc.
> 


Yeah ... See comment #5. Comment fail!


> > - Package contains the mandatory BuildRequires.
> >   Note: Missing BuildRequires on R-devel, tex(latex)
> >   See: http://fedoraproject.org/wiki/Packaging:R
> > 
> > ---> I think it might make more sense to use BR:R-devel instead of
> > R-core-devel .. Any specific reason for using R-devel?
> 
> R-devel is an empty package, which requires R-core-devel and R-java-devel.
> There is no java needed for building this package. The only thing you "gain"
> from using R-devel is to have a lot of java packages installed in the build
> root for no benefit and making the build time in koji longer.
> 


Sounds good to me. I was just checking if using the meta package would have been better. 


> > - The package has the standard %install section.
> >   Note: Package doesn't have the standard removal of *.o and *.so.
> >   See: http://fedoraproject.org/wiki/Packaging:R
> > 
> > ---> Can you add this section to the spec? Or, has it been intentionally
> > left out?
> 
> This is a "BuildArch: noarch" package. So there is no compilation done
> during the build. This means that there are no .o or .so files created that
> should be removed. So the "standard removal" would do nothing.
> 
> You can also see in the build.log the line
> 
> * checking if this is a source package ... OK
> 
> If there were files present that should have been removed, this line would
> not say "OK" but "NOTE" and then list all the offending files.
> 

Yes. That looks good.


> > ===== SHOULD items =====
> > Generic:
> > [!]: Rpmlint is run on all installed packages.
> >      Note: Mock build failed
> >      See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
> 
> This is a consequence of the installation failing. Since the package could
> not be installed in the mock buildroot, rpmlint could not run on the
> installed packages.
> You do have the rpmlint results from running on the package files though:
> 
> [x]: Rpmlint is run on all rpms the build produces.


Yes. I have since installed it without problems manually. fedora-review just seems to be unable to install for whatever reason.
Comment 7 Mukundan Ragavan 2016-02-11 18:53:56 EST
I have nothing more to complain about! :)

Package APPROVED.
Comment 8 José Matos 2016-02-12 06:12:17 EST
(In reply to Mukundan Ragavan from comment #5)
> I did *not* want it to be labeled as %doc. 
> 
> What I meant to say was "fedora-review warning was bogus". It was clear to
> me when I wrote that comment. But, as I read it now, I realize how it
> sounds! :(

I am sorry if I sound it otherwise, my comment was meant to be constructive. :-)

And we all know how written communication is poor medium at conveying information.

With that said I would like to thank you for addressing this review since R-cpp is a direct dependency of more than 500 R packages and some of my R packages are starting to depend on it. So I am glad that this is going forward. :-D
Comment 9 Gwyn Ciesla 2016-02-12 07:08:06 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/R-inline
Comment 10 Fedora Update System 2016-02-12 08:49:20 EST
R-highlight-0.4.7-1.fc23 R-inline-0.3.14-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5c7fbfc747
Comment 11 Fedora Update System 2016-02-12 08:49:22 EST
R-highlight-0.4.7-1.fc22 R-inline-0.3.14-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3d572c4db
Comment 12 Fedora Update System 2016-02-14 23:53:04 EST
R-highlight-0.4.7-1.fc22, R-inline-0.3.14-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3d572c4db
Comment 13 Fedora Update System 2016-02-15 00:24:48 EST
R-highlight-0.4.7-1.fc23, R-inline-0.3.14-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5c7fbfc747
Comment 14 Mukundan Ragavan 2016-02-15 19:59:31 EST
(In reply to José Matos from comment #8)
> (In reply to Mukundan Ragavan from comment #5)
> > I did *not* want it to be labeled as %doc. 
> > 
> > What I meant to say was "fedora-review warning was bogus". It was clear to
> > me when I wrote that comment. But, as I read it now, I realize how it
> > sounds! :(
> 
> I am sorry if I sound it otherwise, my comment was meant to be constructive.
> :-)
> 
> And we all know how written communication is poor medium at conveying
> information.
> 
> With that said I would like to thank you for addressing this review since
> R-cpp is a direct dependency of more than 500 R packages and some of my R
> packages are starting to depend on it. So I am glad that this is going
> forward. :-D

No worries. Certainly appreciate the input!
Comment 15 Fedora Update System 2016-02-22 15:50:00 EST
R-highlight-0.4.7-1.fc22, R-inline-0.3.14-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-02-22 20:24:41 EST
R-highlight-0.4.7-1.fc23, R-inline-0.3.14-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-02-23 17:07:59 EST
R-RInside-0.2.13-1.el7 R-Rcpp-0.12.3-3.el7 R-littler-0.3.0-1.el7 R-inline-0.3.14-1.el7 R-highlight-0.4.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ad155732b
Comment 18 Fedora Update System 2016-02-23 17:08:00 EST
R-RInside-0.2.13-1.el6 R-Rcpp-0.12.3-3.el6 R-littler-0.3.0-1.el6 R-inline-0.3.14-1.el6 R-highlight-0.4.7-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-359b7ddb9a
Comment 19 Fedora Update System 2016-02-25 08:18:04 EST
R-RInside-0.2.13-1.el6, R-Rcpp-0.12.3-3.el6, R-highlight-0.4.7-1.el6, R-inline-0.3.14-1.el6, R-littler-0.3.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-359b7ddb9a
Comment 20 Fedora Update System 2016-02-25 08:21:07 EST
R-RInside-0.2.13-1.el7, R-Rcpp-0.12.3-3.el7, R-highlight-0.4.7-1.el7, R-inline-0.3.14-1.el7, R-littler-0.3.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ad155732b
Comment 21 Fedora Update System 2016-03-12 14:58:44 EST
R-RInside-0.2.13-1.el7, R-Rcpp-0.12.3-3.el7, R-highlight-0.4.7-1.el7, R-inline-0.3.14-1.el7, R-littler-0.3.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2016-03-14 15:25:54 EDT
R-RInside-0.2.13-1.el6, R-Rcpp-0.12.3-3.el6, R-highlight-0.4.7-1.el6, R-inline-0.3.14-1.el6, R-littler-0.3.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.